/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "reparto_empaque")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "RepartoEmpaque.findAll", query = "SELECT r FROM RepartoEmpaque r"),
        @NamedQuery(name = "RepartoEmpaque.findByConsultorCodigo", query = "SELECT r FROM RepartoEmpaque r WHERE r.consultorCodigo = :consultorCodigo"),
        @NamedQuery(name = "RepartoEmpaque.findByConsultorCodigoAndPrograma", query = "SELECT r FROM RepartoEmpaque r WHERE r.consultorCodigo = :consultorCodigo AND r.codigoPrograma = :codigoPrograma"),
        @NamedQuery(name = "RepartoEmpaque.findByCodigoPrograma", query = "SELECT r FROM RepartoEmpaque r WHERE r.codigoPrograma = :codigoPrograma"),
        @NamedQuery(name = "RepartoEmpaque.findByTipoEmpaque", query = "SELECT r FROM RepartoEmpaque r WHERE r.tipoEmpaque = :tipoEmpaque"),
        @NamedQuery(name = "RepartoEmpaque.findByCantidad", query = "SELECT r FROM RepartoEmpaque r WHERE r.cantidad = :cantidad"),
        @NamedQuery(name = "RepartoEmpaque.findById", query = "SELECT r FROM RepartoEmpaque r WHERE r.id = :id")})
public class RepartoEmpaque implements Serializable {
    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "consultor_codigo")
    private String consultorCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 3)
    @Column(name = "codigo_programa")
    private String codigoPrograma;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 45)
    @Column(name = "tipo_empaque")
    private String tipoEmpaque;
    @Basic(optional = false)
    @NotNull
    @Column(name = "cantidad")
    private int cantidad;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
    @Column(name = "tipoe")
    private Integer tipoe;
    @Column(name = "sucursal_codigo")
    private String sucursalCodigo;


    public RepartoEmpaque() {
    }

    public RepartoEmpaque(Integer id) {
        this.id = id;
    }

    public RepartoEmpaque(Integer id, String consultorCodigo, String codigoPrograma, String tipoEmpaque, int cantidad) {
        this.id = id;
        this.consultorCodigo = consultorCodigo;
        this.codigoPrograma = codigoPrograma;
        this.tipoEmpaque = tipoEmpaque;
        this.cantidad = cantidad;
    }

    public Integer getTipoe() {
        return tipoe;
    }

    public void setTipoe(Integer tipoe) {
        this.tipoe = tipoe;
    }

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public String getCodigoPrograma() {
        return codigoPrograma;
    }

    public void setCodigoPrograma(String codigoPrograma) {
        this.codigoPrograma = codigoPrograma;
    }

    public String getTipoEmpaque() {
        return tipoEmpaque;
    }

    public void setTipoEmpaque(String tipoEmpaque) {
        this.tipoEmpaque = tipoEmpaque;
    }

    public int getCantidad() {
        return cantidad;
    }

    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSucursalCodigo() {
        return sucursalCodigo;
    }

    public void setSucursalCodigo(String sucursalCodigo) {
        this.sucursalCodigo = sucursalCodigo;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RepartoEmpaque)) {
            return false;
        }
        RepartoEmpaque other = (RepartoEmpaque) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.RepartoEmpaque[ id=" + id + " ]";
    }

}
